﻿/* 達學堂舊版版型處理 -- Start -- */
.main-header {
    /*color: #ff0000;*/
    height: 100px;
    border-bottom: 1px solid transparent;
    border-width: 0px 0px 20px 0px;
    border-image: linear-gradient(to right,#fce11c 85%, #b3db1d 0%, #b3db1d 90%, #1ebccf 60%);
    border-image-slice: 1;
    padding: 0px !important;
    align-items: center;
}
.main-header .nav-link {
    height: unset;
}

    .main-header .navbar-nav.nav-pc {
        display: flex;
    }
    .main-header .navbar-nav.nav-mobile {
        display: none;
    }
/*@media only screen and (min-device-width: 768px) {
    .main-header .navbar-nav.nav-pc {
        display: block;
    }

    .main-header .navbar-nav.nav-mobile {
        display: none;
    }
}*/
@media only screen and (max-width: 768px), only screen and (max-device-width: 480px), only screen and (max-width: 768px) {
    .main-header {
        /*color: #ff0000;*/
        height: 65px !important;
        border-bottom: 1px solid transparent;
        border-width: 0px 0px 10px 0px;
        border-image: linear-gradient(to right,#fce11c 85%, #b3db1d 0%, #b3db1d 90%, #1ebccf 60%);
        border-image-slice: 1;
        padding: 0px !important;
        align-items: center;
    }
        .main-header .navbar-nav .nav-link {
            padding: 0px !important;
        }
        .main-header .navbar-nav.nav-pc {
            display: none;
        }

        .main-header .navbar-nav.nav-mobile {
            display: flex;
        }
            .main-header .navbar-nav.nav-mobile .logotype img {
                height: 55px !important;
            }
            .main-header .navbar-nav.nav-mobile .navMenu img {
                height: 55px !important;
            }

}
.nav-item {
    align-self: center;
}

    .header-item {
        /*color: white !important;*/
        /*font-weight: bold;*/
    }

    .logotype img {
        height: 80px;
    }

    .navMenu {
        font-size: 1.5rem;
        color: #1cbbce !important;
    }

        .navMenu img {
            height: 100px;
        }

.menu_TestSystem {
    padding-top: 1.5rem;
    box-shadow: none;
    font-size: 1.4rem;
    padding: 0px 1rem;
    color: #264272 !important;
    text-decoration: none;
}

        .menu_TestSystem img {
            height: 40px;
            margin-top: -2px;
        }

        .menu_TestSystem.focus {
            font-weight: bold;
        }

    @media only screen and (max-width: 1366px), only screen and (min-device-width: 1088px) and (max-device-width: 1366px) {
        .menu_TestSystem {
            display: none;
        }
    }
    /* 搜尋區塊 -- Start -- */
    .search_box {
        float: none;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
        position: relative;
        cursor: pointer;
        width: 100%;
        padding-top: 5px;
        padding-right: 10px;
        padding-bottom: 5px;
        padding-left: 10px;
        background-color: #FFF;
        /*margin-top: 22px;*/
        height: 30px;
        margin-right: 0px;
        border: solid;
        border-width: 0.1px;
    }

        .search_box img {
            vertical-align: middle;
            margin-right: 10px;
        }

        .search_box form input[type="text"] {
            border: none;
            outline: none;
            font-size: 12px;
            color: #999;
            width: 92%;
            font-family: 'Open Sans', sans-serif;
            -webkit-apperance: none;
            background-color: #FFFFFF;
            background-image: none;
            float: left;
            height: 20px;
        }

        .search_box form input[type="submit"] {
            border: none;
            cursor: pointer;
            background: url(../images/moe/search.png) no-repeat 0px -5px;
            position: absolute;
            right: 0px;
            width: 31px;
            height: 33px;
            outline: none;
        }

    .new_search {
        display: flex;
        flex-direction: row;
        position: relative;
        float: right;
        margin-right: 25px;
    }

    @media only screen and (max-width: 1366px), only screen and (min-device-width: 1088px) and (max-device-width: 1366px) {
        .nav_search {
            display: none;
        }
    }

    .new_search .search_box {
        border: 0;
        border-radius: 20px;
        height: 35px;
        padding: 0px 0px;
        background-color: #fff;
        cursor: pointer;
        border: 1px #f54b5e solid;
    }

        .new_search .search_box .search_prefix {
            border: none;
            background-color: #e1dfdf;
            color: #000;
            /*font-weight: 100;*/
            border-radius: 25px;
            float: left;
            height: 33px;
            line-height: 17px;
            width: auto;
            display: block;
            padding: 10px 20px 10px 22px;
            font-size: 1rem;
        }

        .new_search .search_box input[type="text"] {
            font-size: 1rem;
            line-height: 1rem;
            height: 30px;
            text-align: center;
            background: #fff;
            cursor: pointer;
            border: 1px solid #b6b6b6;
            width: calc(100% - 44px - 2rem);
            /*width: 230px;*/
            /*     position: absolute;     */
            /*right: 40px;*/
            border: none;
            color: #000;
            margin: 0px 1rem;
            outline: unset;
            padding-top: 4px;
        }

    .new_search input[id="search"] {
        border: none;
        cursor: pointer;
        background: url(../images/moe/search.png) no-repeat 0px -2px;
        position: absolute;
        right: 5px;
        width: 31px;
        height: 33px;
    }

    .new_search input[id="mobileSearch"] {
        border: none;
        cursor: pointer;
        background: url(../images/moe/search.png) no-repeat 0px -2px;
        position: absolute;
        right: 5px;
        width: 31px;
        height: 33px;
    }

    .new_search .search_box .search_box_query_btn {
        background: #f54b5e;
        color: #ffffff;
        height: 33px;
        float: right;
        border: 0;
        width: 44px;
        margin-right: 0%;
        border-radius: 22px;
        line-height: 1rem;
    }

    .mobile_search {
        display: none;
    }

    @media only screen and (max-width: 1366px), only screen and (min-device-width: 1088px) and (max-device-width: 1366px) {
        .mobile_search {
            display: block;
        }

            .mobile_search .search_box {
                border: 0;
                border-radius: 20px;
                height: 46px;
                padding: 0px 0px;
                background-color: #fff;
                cursor: pointer;
                border: 1px #f54b5e solid;
            }

                .mobile_search .search_box .search_prefix {
                    border: none;
                    background-color: #e1dfdf;
                    color: #000;
                    /*font-weight: 100;*/
                    border-radius: 25px;
                    float: left;
                    height: 33px;
                    line-height: 17px;
                    width: auto;
                    display: block;
                    padding: 10px 20px 10px 22px;
                    font-size: 1rem;
                }

                .mobile_search .search_box input[type="text"] {
                    /*font-size: 1rem;*/
                    height: 30px;
                    text-align: center;
                    background: #fff;
                    cursor: pointer;
                    border: 1px solid #b6b6b6;
                    width: calc(100% - 50px - 2rem);
                    /*width: 230px;*/
                    /*     position: absolute;     */
                    /*right: 40px;*/
                    border: none;
                    color: #000;
                    margin: 0px 1rem;
                    outline: unset;
                }

                .mobile_search .search_box .search_box_query_btn {
                    background: #f54b5e;
                    color: #ffffff;
                    height: 44px;
                    float: right;
                    border: 0;
                    width: 44px;
                    margin-right: 0%;
                    border-radius: 22px;
                    line-height:1rem;
                }

            .mobile_search input[id="search"] {
                border: none;
                cursor: pointer;
                background: url(../images/moe/search.png) no-repeat 0px -2px;
                position: absolute;
                right: 5px;
                width: 31px;
                height: 33px;
            }

            .mobile_search input[id="mobileSearch"] {
                border: none;
                cursor: pointer;
                background: url(../images/moe/search.png) no-repeat 0px -2px;
                position: absolute;
                right: 5px;
                width: 31px;
                height: 33px;
            }
    }

    /* 搜尋區塊 -- End -- */

    /* 頁尾區塊 -- Start -- */
    .footer_n {
        width: 100%;
        display: inherit;
        background: #dcd9ce !important;
    }

        .footer_n .link_div {
            color: #fff;
            float: left;
            width: 100%;
            text-align: center;
            padding: 20px;
            background-color: #fff; /*background-image: linear-gradient(to right, #f9d913 0%, #96e012 101%);*/
            border-bottom: 1px solid transparent;
            border-width: 0px 0 20px 0;
            border-image: linear-gradient(to right,#fce11c 85%, #b3db1d 0%, #b3db1d 90%, #1ebccf 60%);
            border-image-slice: 1;
        }

            .footer_n .link_div a, span.systemName {
                margin: 0px 10px;
                font-size: 0.8rem;
                color: #000;
                text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
            }

                .footer_n .link_div a:hover {
                    cursor: pointer;
                    font-weight: bold;
                }

        .footer_n .content_div {
            background: #dcd9ce !important;
            float: left;
            width: 100%;
            color: #292c31;
            padding-bottom: 15px;
            justify-content: center;
            display: inline-flex;
        }

            .footer_n .content_div .icon {
                padding: 10px;
                float: left;
            }

            .footer_n .content_div .cont {
                float: left;
                margin-left: 10px;
                padding: 25px 0px;
            }

                .footer_n .content_div .cont p {
                    font-size: 0.7rem;
                    color: #292c31;
                    margin: 0px;
                }

                    .footer_n .content_div .cont p img {
                        float: left;
                        margin-right: 10px;
                    }

                    .footer_n .content_div .cont p a {
                        font-size: 0.7rem;
                        color: #292c31;
                        margin: 0px;
                    }

                        .footer_n .content_div .cont p a:hover {
                            font-weight: bold;
                            color: #292c31;
                        }
@media (max-width: 575.98px) {
    .footer_n .link_div {
        padding: 20px 0px;
    }

}


    /* 頁尾區塊 -- End -- */


    /* 達學堂舊版版型處理 -- End -- */

    /* 左側選單 -- Start -- */
    .layout-fixed .main-sidebar {
        z-index: 100;
        padding-top: 0px !important;
        /* top: 100px;
    height: calc(100vh - 100px);*/
    }

    .info-area {
        display: flex;
        flex-direction: column;
        border-bottom: 1px solid #bcbdbe;
        text-align: center;
        padding-bottom: 0.2rem;
    }

    .avator {
        width: 100%;
        margin: 15px 0px 15px 0px;
    }

        .avator img {
            width: 100%;
            border: solid 1px #b6b6b6;
        }

    #avator {
        width: 100px;
        height: 100px;
        object-fit: cover;
    }

    .login-info {
        color: #000000;
        width: 100%;
        flex-direction: column-reverse;
        text-align: center;
        margin: auto;
        font-size: 1.5rem;
        font-weight: bold;
    }

        .login-info p {
            margin: 0;
        }

    #loginName {
        color: #1d1d1d;
        font-size: 1.2rem;
        padding-bottom: 1rem;
    }

    #loginTitle {
        color: #212121;
        font-size: 1.2rem;
    }

    #loginAccount {
        color: #525252;
        /* overflow: hidden;
    text-overflow: ellipsis;*/
        font-size: 0.8rem;
        white-space: nowrap;
    }



    .notice-icon {
        color: yellow;
        display: none;
        font-size: 1.5rem;
        margin-left: 1rem;
    }

    .sidebar-icon {
        margin-left: 0.05rem;
        font-size: 1.5rem;
        margin-right: 1rem;
        width: 1.6rem;
    }

    .sidebar-item {
        font-size: 1.5rem;
        font-weight: bold;
    }

        .sidebar-item:hover {
            color: #ffd966
        }

    .menu-item {
        font-size: 1.5rem;
        font-weight: bold;
    }

        .menu-item:hover {
            color: orange
        }


    #sidebar-overlay {
        /*display: block;*/
        /*margin-left: 250px;*/
        position: absolute;
    }

    @media only screen and (max-width: 991.98px), only screen and (min-device-width: 768px) and (max-device-width: 991.98px) {
        .layout-fixed .main-sidebar {
            z-index: 1038;
            top: 100px;
            height: calc(100vh - 100px);
            position: absolute;
        }

        #sidebar-overlay {
            top: 100px;
            /*margin-left: 250px;*/
            position: absolute;
        }
    }

@media only screen and (max-width: 768px), only screen and (max-device-width: 480px), only screen and (max-width: 768px) {
  
    .layout-fixed .main-sidebar {
        z-index: 1038;
        top: 0px;
        height: calc(100vh - 65px);
        position: absolute;
        margin-top: 65px;
    }

    #sidebar-overlay {
        top: 65px;
        /*margin-left: 250px;*/
        position: absolute;
        transform: translate(0, 0);
        -webkit-transform: translate(0,0);
        -ms-transform: translate(0, 0);
        -o-transform: translate(0, 0);
    }
}

    .main-sidebar {
        width: 250px;
        border-top-right-radius: unset;
    }
    /*    .nav > .nav-item {
        display: flex;
        align-self: flex-start;
        width: 100%;
    }

        .nav > .nav-item.active {
            color: #595858;
            background-color: #dddcdc;
            border-right: 5px solid #6fad46;
            transition: 0.1s;
        }

        .nav > .nav-item:hover {
            color: #595858;
            background-color: #dddcdc;
            border-right: 5px solid #6fad46;
            transition: 0.1s;
        }

        .nav > .nav-item > .nav-link {
            display: block;
        }

            .nav > .nav-item > .nav-link > .sidebar-item {
                color: #403e3e;
                text-decoration: none;
                font-size: 1.25rem;
                transition: 0.3s;
                font-weight: unset;
            }
.nav > li > a:hover, .nav > li > a:active, .nav > li > a.focus {
    color: unset;
    background: unset;
}
*/
    .nav > .nav-link {
        display: flex;
        align-self: flex-start;
        width: 100%;
    }

        .nav > .nav-link.active {
            color: #595858;
            background-color: #dddcdc;
            /*border-right: 5px solid #6fad46;*/
            border-right: 5px solid #264272;
            transition: 0.1s;
        }

        .nav > .nav-link:hover {
            color: #595858;
            background-color: #dddcdc;
            /*border-right: 5px solid #6fad46;*/
            border-right: 5px solid #264272;
            transition: 0.1s;
        }

        .nav > .nav-link > .nav-item {
            display: block;
        }

            .nav > .nav-link > .nav-item > .sidebar-item {
                color: #403e3e;
                text-decoration: none;
                font-size: 1.25rem;
                transition: 0.3s;
                font-weight: unset;
            }

    .nav > a:hover, .nav > a:active, .nav > a.focus {
        color: unset;
        background: unset;
    }

    /* 左側選單 -- End -- */

    .content-wrapper-edit {
        width: 100%;
        min-height: calc(100vh - 375px);
        background-color: #ffffff;
        padding: 0px calc((100vw - 1366px) / 2);
    }

    .main-footer {
        padding: 0 !important;
    }





    /* datatable表格樣式 -- Start -- */
    #myTable_wrapper {
        /*display: flex;
    display: -webkit-flex;*/
    }

        #myTable_wrapper > #myTable_length {
            display: inline-block;
            position: relative;
            width: 30%;
            word-break: break-word;
            box-sizing: border-box;
        }

        #myTable_wrapper > #myTable_filter {
            display: inline-flex;
            position: absolute;
            width: 70%;
            left: 30%;
            /*border: 1px solid #6fad46;*/
            text-align: right;
            justify-content: flex-end;
            padding-right: 1rem;
        }
    /* datatable表格樣式 -- End -- */